[arch-commits] Commit in libxtrap/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jul 7 12:29:38 EDT 2008


    Date: Monday, July 7, 2008 @ 12:29:38
  Author: jgc
Revision: 4455

upgpkg: libxtrap 1.0.0-2
    Fix source URL, md5sum, license and architecture

Modified:
  libxtrap/trunk/PKGBUILD

----------+
 PKGBUILD |   21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-07 16:24:19 UTC (rev 4454)
+++ PKGBUILD	2008-07-07 16:29:38 UTC (rev 4455)
@@ -3,21 +3,22 @@
 
 pkgname=libxtrap
 pkgver=1.0.0
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 event trapping extension library"
+arch=('i686' 'x86_64')
+license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('libxext' 'libxt' 'trapproto')
 makedepends=('pkgconfig')
-_xorg=X11R7.0-RC4
-_relname=libXTrap
-source=(${url}/releases/${_xorg}/everything/${_relname}-${pkgver}.tar.bz2)
+options=(!libtool)
+source=(${url}/releases/individual/lib/libXTrap-${pkgver}.tar.bz2)
+md5sums=('1e2d966b5b2b89910e418bb0f78e10de')
 
 build() {
-  cd ${startdir}/src/${_relname}-${pkgver}
-  ./configure --prefix=/usr \
-              --build=${CHOST} --host=${CHOST}
+  cd ${srcdir}/libXTrap-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  find ${startdir}/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-





More information about the arch-commits mailing list